Permit geteuid syscall for Linux on s390

The geteuid syscall is used by libica during shared lib initialization.
So when openssl with ibmca engine and libica is used by openssh, this
syscall causes a signal 31 issued by sandbox-seccomp filter.

Added a rule which allows the geteuid syscall the s390 platform.

Signed-off-by: Harald Freudenberger <freude@linux.vnet.ibm.com>

Index: openssh-7.4p1/sandbox-seccomp-filter.c
===================================================================
--- openssh-7.4p1.orig/sandbox-seccomp-filter.c
+++ openssh-7.4p1/sandbox-seccomp-filter.c
@@ -241,6 +241,9 @@ static const struct sock_filter preauth_
 	SC_ALLOW_ARG(ioctl, 1, ICARSAMODEXPO),
 	SC_ALLOW_ARG(ioctl, 1, ICARSACRT),
 #endif /* defined(__NR_ioctl) && defined(__s390__) */
+#if defined(__NR_geteuid) && defined(__s390__)
+	SC_ALLOW(geteuid),
+#endif
 
 	/* Default deny */
 	BPF_STMT(BPF_RET+BPF_K, SECCOMP_FILTER_FAIL),
